/*
 * $Id: GlobalNameableObject.java 25005 2012-11-12 16:46:53Z svacas $
 * --------------------------------------------------------------------------------------
 * Copyright (c) MuleSoft, Inc.  All rights reserved.  http://www.mulesoft.com
 *
 * The software in this package is published under the terms of the CPAL v1.0
 * license, a copy of which has been included with this distribution in the
 * LICENSE.txt file.
 */

package org.mule.api;

/**
 * Beans implementing <code>GlobalNameableObject</code> have globalName set during initialization
 * to the bean name defined in the configuration
 */
public interface GlobalNameableObject
{
    String getGlobalName();
    void setGlobalName(String name);
}
